Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonPayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonPayment

All Implemented Interfaces:
  `Serializable`, `Idable`

public class MegafonPayment extends Id
Запись о платеже(переводе) оператора на счет абонента через онлайн-кассу Мегафона

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonPayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `String`
  `getCheckNumber()`
  `int`
  `getContractId()`
  `String`
  `getMsisdn()`
  `LocalDateTime`
  `getPaymentDate()`
  `MegafonPaymentStatus`
  `getStatus()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setCheckNumber(String checkNumber)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setMsisdn(String msisdn)`
  `void`
  `setPaymentDate(LocalDateTime paymentDate)`
  `void`
  `setStatus(MegafonPaymentStatus status)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegafonPayment

    public MegafonPayment()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getMsisdn

    public String getMsisdn()

  - ### setMsisdn

    public void setMsisdn(String msisdn)

  - ### getCheckNumber

    public String getCheckNumber()

  - ### setCheckNumber

    public void setCheckNumber(String checkNumber)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getPaymentDate

    public LocalDateTime getPaymentDate()

  - ### setPaymentDate

    public void setPaymentDate(LocalDateTime paymentDate)

  - ### getStatus

    public MegafonPaymentStatus getStatus()

  - ### setStatus

    public void setStatus(MegafonPaymentStatus status)